# Test: Prompt with empty content string
# Expected: FAIL
# Error code: custom
# Error path: agent.prompts[0].content
# Error message: agent.prompts[].content must be a non-empty string

agent:
  metadata:
    id: empty-content
    name: Empty Content
    title: Empty Content
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  prompts:
    - id: prompt1
      content: "   "

  menu:
    - trigger: help
      description: Show help
      action: display_help
